function S=sauve_configuration
dossier=pwd;
nom=get_param(gcs,'name');
bloc_entree=[nom,'/Analog Input'];
bloc_sortie=[nom,'/Analog Output'];
bloc_digit=[nom,'/Digital Output'];
nom_driver_entree=get_param(bloc_entree,'drvname');
nom_driver_sortie=get_param(bloc_sortie,'drvname');
nom_driver_digit=get_param(bloc_digit,'drvname');
parametres_entree=rtdrvfn('GetIOCaps',nom_driver_entree);
pop_plage=str2num(get_param(bloc_entree,'voltrange'));
plage_entree=parametres_entree.AnalogInputs.Ranges(pop_plage,:);
parametres_sortie=rtdrvfn('GetIOCaps',nom_driver_sortie);
pop_plage2=str2num(get_param(bloc_sortie,'voltrange'));
plage_sortie=parametres_sortie.AnalogOutputs.Ranges(pop_plage2,:);
s_entree=struct('carte',nom_driver_entree,'pop',pop_plage,'val_min',plage_entree(1),'val_max',plage_entree(2));
s_sortie=struct('carte',nom_driver_sortie,'pop',pop_plage2,'val_min',plage_sortie(1),'val_max',plage_sortie(2));
s_digit=struct('carte',nom_driver_digit);
S=struct('entree',s_entree,'sortie',s_sortie,'digit',s_digit,'repertoire',dossier);
cd local
save('parametres_carte.mat','S')
save_system(gcs)
cd ..

