%function [A0,FT,S,VCC,RID,RS,A0_s,FT_s,S_s,VCC_s,RID_s,RS_s]=def_ao(u,v,w,x,y,z,u_s,v_s,w_s,x_s,y_s,z_s)

u=A0;
v=FT;
w=S;
x=VCC;
y=RID;
z=RS;
u_s=A0_s;
v_s=FT_s;
w_s=S_s;
x_s=VCC_s;
y_s=RID_s;
z_s=RS_s;
e=ecran;
ec=e/2;
ec(1)=ec(3);
ec(2)=ec(2)+ec(4)/2;
hf_def_ao=figure('unit','pixel','pos',ec,...
	           'name','PARAMETRE DE L''AMPLIFICTEUR OPERATIONNEL','color','w');
	set(0,'currentf',hf_def_ao);
	h_a=axes;
	set(h_a,'xcolor','w','ycolor','w')
	axis([0 1 0 1]);
    s='Amplification diffrentielle continue (V/mV)';
txt_ad0=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.9 0.6 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b','string',s,'fontunits','normalized','fontsize',0.75,'fontweight','bold');
ed_ad0=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.75 0.9 0.2 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b',...
		'string',u_s,'fontunits','normalized','fontsize',0.75,'fontweight','bold',...
		'callback','A0_s=get(ed_ad0,''string'');');
s='Frquence de coupure du suiveur (MHz)';    
 txt_FT=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.8 0.6 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b','string',s,'fontunits','normalized','fontsize',0.75,'fontweight','bold');
ed_FT=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.75 0.8 0.2 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b',...
		'string',v_s,'fontunits','normalized','fontsize',0.75,'fontweight','bold',...
		'callback','FT_s=get(ed_FT,''string'');');  
s='Slew Rate (V/s)';    
 txt_S=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.7 0.6 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b','string',s,'fontunits','normalized','fontsize',0.75,'fontweight','bold');
ed_S=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.75 0.7 0.2 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b',...
		'string',w_s,'fontunits','normalized','fontsize',0.75,'fontweight','bold',...
		'callback','S_s=get(ed_S,''string'');');  
s='Tensions d''alimentation (V)';    
 txt_VCC=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.6 0.6 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b','string',s,'fontunits','normalized','fontsize',0.75,'fontweight','bold');
ed_VCC=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.75 0.6 0.2 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b',...
		'string',x_s,'fontunits','normalized','fontsize',0.75,'fontweight','bold',...
		'callback','VCC_s=get(ed_VCC,''string'');');    
s='Rsistance d''entre diffrentielle (MOhms)';    
 txt_RID=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.5 0.6 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b','string',s,'fontunits','normalized','fontsize',0.75,'fontweight','bold');
ed_RID=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.75 0.5 0.2 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b',...
		'string',y_s,'fontunits','normalized','fontsize',0.75,'fontweight','bold',...
		'callback','RID_s=get(ed_RID,''string'');');      
s='Rsistance de sortie';    
 txt_RS=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.4 0.6 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b','string',s,'fontunits','normalized','fontsize',0.75,'fontweight','bold');
ed_RS=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.75 0.4 0.2 0.05],'backgroundcolor','g',...
	           'foregroundcolor','b',...
		'string',z_s,'fontunits','normalized','fontsize',0.75,'fontweight','bold',...
		'callback','RS_s=get(ed_RS,''string'');');      

bouton_ao=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.1 0.1 0.1 0.1],...
	          'string','OK','callback','A0=str2num(A0_s);FT=str2num(FT_s);S=str2num(S_s);VCC=str2num(VCC_s);RID=str2num(RID_s);RS=str2num(RS_s);close(hf_def_ao);');    