function y = estimvit(u)
%#eml


psi_ar=u(1);
psi_br=u(2);
ias=u(3);
ibs=u(4);

omega_s=50*2*pi;
Rs=3.5;
Ls=0.3;
Rr=0.4;
Lr=0.068;
Lsr=0.12;
p=2;
Te=5e-4;
Tr=Lr/Rr;
Rsr=Rs+Rr*(Lsr/Lr)^2;
sigma=1-Lsr^2/(Ls*Lr);

psi_r=sqrt(psi_ar^2+psi_br^2);
teta_s=atan2(psi_br,psi_ar);

iqs=-sin(teta_s)*ias+cos(teta_s)*ibs;
omega_est=omega_s-(Lsr/Tr*iqs/psi_r);
y=omega_est;
