function spectre(f,X,coul,epais)

% SPECTRE : Affichage d'un spectre
%	    Syntaxe spectre(f,X,coul)
%	            f = vecteur frquences
%                   X = vecteur amplitude
%                   coul = couleur d'affichage (facultatif)
%                   epais = paisseur trait
%
%(P. Le Bars - 2002)
%

if nargin==2
	coul='g';
    epais=0.5;
end;
if nargin==3
    epais=0.5;
end;    
n=length(X);
n3=3*n;
x=zeros(1,n3);
x(2:3:n3)=X;
f3=zeros(1,n3);
f3(1:3:n3)=f;
f3(2:3:n3)=f;
f3(3:3:n3)=f;
plot(f3,x,coul,'linewidth',epais)
set(gcf,'color','w')
% xlabel('frquence (Hz)')
