stop_simulation_tournant_eventuellement;
pause(1)
while ~isempty(whos)
    clear all
end;
load('parametres_carte.mat');
racine=S.repertoire;
rep_loc=[racine,'\local'];
figure(1)
e=ecran;  
set(gcf,'position',e)
set(gcf,'color','w')
set(gcf,'unit','normalized')
grid off
s='LISTE DES LOGICIELS';
set(gca,'color','w','xcolor','w','ycolor','w')
pause(0.1)
text(0.5,0.9,s,'fontunit','normalized','fontsize',0.0875,'fontweight','bold','color','r',...
    'horizontalalignment','center')
hold on
set(gca,'position',[0 0 1 1])
text(0.5,0.6,'Asservissements','fontunit','normalized','fontsize',0.04,'fontweight','bold','color','b',...
    'horizontalalignment','center')
bouton1=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.375 0.5 0.2 0.05],...
	     'string','Correcteur Analogique Programm','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\asservissement'']);clear all;correcteur_analogique;');  
bouton1_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.575 0.5 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_asserv.pdf');        
bouton2=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.375 0.43 0.2 0.05],...
	     'string','Correcteur Numrique','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\asservissement'']);clear all;correcteur_numerique;');  
bouton2_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.575 0.43 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_asserv_num.pdf');  
bouton3=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.375 0.36 0.2 0.05],...
	     'string','Reconstruction Flux Machine Asynchrone','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\GSP3'']);clear all;flux;');  
bouton3_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.575 0.36 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_mas.pdf'); 
text(0.825,0.6,'Identification Processus','fontunit','normalized','fontsize',0.04,'fontweight','bold','color','b',...
    'horizontalalignment','center')
bouton4=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.7 0.5 0.2 0.05],...
	     'string','Identification','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\identification'']);clear all;identification;');  
bouton4_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.9 0.5 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_ident.pdf'); 
bouton5=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.7 0.43 0.2 0.05],...
	     'string','Rponse Impulsionnelle','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\reponse_impulsionnelle'']);clear all;rep_imp_intro;');  
bouton5_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.9 0.43 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_imp.pdf'); 
bouton6=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.7 0.36 0.2 0.05],...
	     'string','Modle','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\modele'']);clear all;comparaison_modele;');
bouton6_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.9 0.36 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_modele.pdf'); 
text(0.175,0.6,'Traitement du Signal','fontunit','normalized','fontsize',0.04,'fontweight','bold','color','b',...
    'horizontalalignment','center')
bouton7=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.05 0.5 0.2 0.05],...
	     'string','Filtres Numriques (RII ou RIF)','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\Filtres_Numeriques'']);clear all;filtre;'); 
bouton7_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.25 0.5 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_fnum.pdf');  
bouton8=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.05 0.43 0.2 0.05],...
	     'string','F.F.T.','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\TFR'']);clear all;fft_intro;');  
bouton8_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.25 0.43 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_fft.pdf');  
bouton81=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.05 0.36 0.2 0.05],...
	     'string','F.F.T. Inverse','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\TFR'']);clear all;reconstitution_bilaterale;');  
bouton81_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.25 0.36 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_fft_inv.pdf');  
bouton82=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.05 0.29 0.2 0.05],...
	     'string','Harmoniques','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\TFR'']);clear all;reconstitution;');  
bouton82_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.25 0.29 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_harm.pdf');  
bouton9=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.05 0.22 0.2 0.05],...
	     'string','Synthse Filtres Actifs Analogiques (*)','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\synthese_filtres'']);clear all;synthese;');     
bouton9_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.25 0.22 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_synthese.pdf');  
text(0.825,0.29,'Enregistrement','fontunit','normalized','fontsize',0.04,'fontweight','bold','color','b',...
    'horizontalalignment','center')
bouton10=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.7 0.2 0.2 0.05],...
	    'string','Table Traante','foregroundcolor','r',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','delete(gcf);cd([racine,''\table'']);clear all;table_tracante;'); 
bouton10_doc=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.9 0.2 0.05 0.05],...
	     'string','Doc','foregroundcolor','g',...
         'fontunits','normalized','fontsize',0.3,'fontweight','bold',...
          'callback','cd(rep_loc);!doc_table.pdf'); 
bouton11=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.425 0.2 0.15 0.05],...
	    'string','FIN','foregroundcolor','b','backgroundcolor','y',...
         'fontunits','normalized','fontsize',0.4,'fontweight','bold',...
          'callback','delete(gcf);cd(matlabroot)');       
bouton12=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.425 0.13 0.15 0.05],...
	    'string','CONFIG','foregroundcolor','b','backgroundcolor','y',...
         'fontunits','normalized','fontsize',0.4,'fontweight','bold',...
          'callback','config_logiciels');     
text(0.05,0.2,'(*) : ne fonctionne pas en temps rel','fontunit','normalized',...
    'fontsize',0.02,'fontweight','bold','fontangle','italic','color','b')   
h1=axes('position',[0.05,0.65,0.15,0.2]);
M=imread('logo_iut.jpg');
image(M)
set(gca,'xtick',[],'ytick',[])
set(gca,'color','y','xcolor','y','ycolor','y')
h2=axes('position',[0.8,0.65,0.15,0.2]);
M=imread('logo_ubp.jpg');
image(M)
set(gca,'xtick',[],'ytick',[])
set(gca,'color','y','xcolor','y','ycolor','y')      
      
