function M=generateur_sbpa(DEF)

% fonction x=generateur_signal_SBPA(A,n,fh,t)
% gnrateur de signaux binaires pseudo alatoire
% La sortie M peut tre utilise directement sous SIMULINK
% (bloc "From Workspace")
%       A : amplitude du signal
%       n : nombre d'tage du registre  dcalage (3 <= n <=13)
%       fh : frquence d'horloge du registre  dcalage
%       t : vecteur temps
%
A=DEF(7);
n=DEF(9);
fh=DEF(10);
t=0:DEF(4):DEF(5);
x=gene_sbpa_2(A,n,fh,t);
N=2^n-1;
x=x+A*(sqrt(N+1)-1)/N;   % correction pour que ce(tau)=0 pour tau>Th
signals=struct('values',x','dimensions',1);
M=struct('time',[],'signals',signals);

