Fp=100;
Fa=500;
Attmax=1;
Attmin=50;
nmin=floor(log10(Fp/10));
nmax=ceil(log10(Fa*10));
f=logspace(nmin,nmax,10000);
w=2*pi*f;
g=20*log10(abs(polyval(NUM,1i*w)./polyval(DEN,1i*w)));
semilogx(f,g,'b');
hold on
v=axis;
semilogx([v(1),Fp],[-Attmax,-Attmax],'r')
semilogx([Fp,Fp],[v(3),-Attmax],'r')
semilogx([Fa,v(2)],[-Attmin,-Attmin],'r')
semilogx([Fa,Fa],[v(4),-Attmin],'r')
