modele=get_param(gcs,'name')
bloc=[modele,'/XY Graph']
h=get_param(bloc,'userdata')
e=ecran;
FigHandle = figure('Units',          'pixel',...
                   'Position',       e,...
                   'Name',           'XY Graph',...
                   'Tag',            'SIMULINK_XYGRAPH_FIGURE',...
                   'NumberTitle',    'off',...
                   'IntegerHandle',  'off',...
                   'Toolbar',        'none',...
                   'Menubar',        'none',...
                   'DeleteFcn',      'sfunxy([],[],[],''DeleteFigure'')');
ud.Block=bloc;
ud.XYAxes   = axes;
ud.XYLine   = plot(0,0,'EraseMode','None');
ud.XYXlabel = xlabel('X Axis');
ud.XYYlabel = ylabel('Y Axis');
ud.XYTitle  = get(ud.XYAxes,'Title');
ud.XData    = [];
ud.YData    = [];
set(ud.XYAxes,'Xtick',-10:1:10,'XTickLabel',num2str((-10:1:10)'),...
    'YTick',-7:1:7,'YTickLabel',num2str((-7:1:7)'),...
    'unit','normalized','position',[0.05 0.45 0.5 0.5])
set_param(bloc,'userdata',FigHandle)

set(FigHandle,'HandleVisibility','callback','UserData',ud);
